Summary
Create Trigger
Description
Create a new Trigger.
Route
POST /operations-manager/triggers
Roles
admin
apiwrite
engineering
operations
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| trigger |
object |
yes |
The details of the Trigger document to be created. |
Copied to Clipboard
{
"title": "trigger",
"$schema": "http://json-schema.org/draft-07/schema",
"$id": "trigger-create",
"oneOf": [
{
"name": "myCoolDocumentName",
"type": "endpoint",
"routeName": "iC8",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "3bb53cf72eae1cbf84186608",
"lastExecuted": 80177181,
"migrationVersion": 29534066,
"createdBy": "237342d6df95c144a291f9ba",
"created": "1988-11-23T05:45:05.758Z",
"lastUpdatedBy": "06a750f9648e61b5b7e7b163",
"lastUpdated": "1959-06-14T19:44:16.585Z",
"verb": "POST",
"jst": null
},
{
"name": "myCoolDocumentName",
"type": "eventSystem",
"topic": "dolor anim aliquip",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "597cda87a12776693f9aeb7e",
"lastExecuted": 89421266,
"migrationVersion": -72977026,
"createdBy": "Pronghorn",
"created": "2004-11-10T03:39:14.525Z",
"lastUpdatedBy": "f64fd6242dd28c74319078ad",
"lastUpdated": "2005-05-27T08:30:38.246Z",
"source": "ex",
"legacyWrapper": true,
"jst": "fb53cdcfbad84a6e9dfaefbd"
},
{
"name": "myCoolDocumentName",
"type": "manual",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "cd9fa6dfec32917298e8370c",
"lastExecuted": null,
"migrationVersion": -40181077,
"createdBy": "960db6d47da30655d315ef89",
"created": "1960-11-29T22:06:10.438Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1978-02-08T12:57:00.188Z",
"formData": {
"deviceName": "ATL-123",
"action": "SYNC"
},
"formSchemaHash": null,
"legacyWrapper": true,
"formId": "7a63473313d479fccd98a565"
},
{
"name": "myCoolDocumentName",
"repeatUnit": "week",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "e16464846a5d9e07dea9e0be",
"lastExecuted": null,
"migrationVersion": -97758930,
"createdBy": "3b3924a4323587ed97b9a865",
"created": "1950-02-12T20:57:49.27Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1957-07-18T17:14:51.735Z",
"repeatInterval": 30000,
"formId": "007eb6c9ea001eae2966fe62"
}
]
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| createdTigger |
object |
The result of the create operation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "747f359a706b74dfd0c645ab",
"lastExecuted": null,
"migrationVersion": -85389724,
"createdBy": "Pronghorn",
"created": "2023-10-23T03:35:15.594Z",
"lastUpdatedBy": "9a64f136b522b36adf791f16",
"lastUpdated": "2004-07-17T06:22:49.746Z",
"_id": "0a5ea34d19cfac6560804257"
}
}